Bug 1418901 - Include few more options in virt file
Summary: Include few more options in virt file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Krutika Dhananjay
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1418900 1424931 1424932 1424934
Blocks: Gluster-HC-2 1351503
TreeView+ depends on / blocked
 
Reported: 2017-02-03 03:37 UTC by SATHEESARAN
Modified: 2017-03-23 06:04 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.8.4-15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1418900
Environment:
Last Closed: 2017-03-23 06:04:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description SATHEESARAN 2017-02-03 03:37:37 UTC
+++ This bug was initially created as a clone of Bug #1418900 +++

Description of problem:
-----------------------
There are some volume options that needs to be added to virt file
network.remote-dio=off
features.shard-block-size=4MB
performance.low-prio-threads=32
cluster.locking-scheme=granular
cluster.shd-max-threads=8
cluster.shd-wait-qlength=10000
performance.strict-o-direct=on
user.cifs=off
nfs.disable=on
cluster.use-compound-fops=on

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
mainline

How reproducible:
-----------------
Not applicable

Steps to Reproduce:
-------------------
Not applicable

Actual results:
---------------
Not applicable

Expected results:
-----------------
Few more options added to virt file

Additional info:
----------------
granular-entry-heal also needs to be enabled on the volume, but this option could only be added unless the volume is started.

Comment 1 Atin Mukherjee 2017-02-09 12:12:46 UTC
upstream patch : https://review.gluster.org/16577

Comment 4 Krutika Dhananjay 2017-02-20 03:16:56 UTC
https://code.engineering.redhat.com/gerrit/#/c/98122/1

Comment 6 Atin Mukherjee 2017-02-20 03:45:28 UTC
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/98122

Comment 10 SATHEESARAN 2017-02-21 08:52:36 UTC
Tested with glusterfs-3.8.4-15.el7rhgs

[root@ ~]# rpm -qf /var/lib/glusterd/groups/virt 
glusterfs-server-3.8.4-15.el7rhgs.x86_64

[root@ ~]# cat /var/lib/glusterd/groups/virt 
performance.quick-read=off
performance.read-ahead=off
performance.io-cache=off
performance.stat-prefetch=off
performance.low-prio-threads=32
network.remote-dio=enable
cluster.eager-lock=enable
cluster.quorum-type=auto
cluster.server-quorum-type=server
cluster.data-self-heal-algorithm=full
cluster.locking-scheme=granular
cluster.shd-max-threads=8
cluster.shd-wait-qlength=10000
features.shard=on
user.cifs=off

'virt' file has the required volume options

Comment 11 Ramesh N 2017-02-24 11:29:13 UTC
Atin, Any reason why features.shard-block-size is not set in the virt profile?.

Comment 12 Atin Mukherjee 2017-02-24 12:12:14 UTC
(Satheesaran has already explained it over IRC)
 default shard-block-size is 4MB when features.shard is enabled

Comment 14 errata-xmlrpc 2017-03-23 06:04:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.